TLM-2.0: tlm_utils::tlm_quantumkeeper Class Reference

# tlm_utils::tlm_quantumkeeper Class Reference

`#include <tlm_quantumkeeper.h>`

List of all members.

## Public Member Functions
| tlm_quantumkeeper ()
virtual | ~tlm_quantumkeeper ()
virtual void | inc (const sc_core::sc_time &t)
virtual void | set (const sc_core::sc_time &t)
virtual bool | need_sync () const
virtual void | sync ()
void | set_and_sync (const sc_core::sc_time &t)
virtual void | reset ()
virtual sc_core::sc_time | get_current_time () const
virtual sc_core::sc_time | get_local_time () const
## Static Public Member Functions
static void | set_global_quantum (const sc_core::sc_time &t)
static const sc_core::sc_time & | get_global_quantum ()
## Protected Member Functions
virtual sc_core::sc_time | compute_local_quantum ()
## Protected Attributes
sc_core::sc_time | m_next_sync_point
sc_core::sc_time | m_local_time

## Detailed Description

Definition at line 35 of file tlm_quantumkeeper.h.

## Constructor & Destructor Documentation

tlm_utils::tlm_quantumkeeper::tlm_quantumkeeper | ( |  | ) | `[inline]`

Definition at line 56 of file tlm_quantumkeeper.h.

virtual tlm_utils::tlm_quantumkeeper::~tlm_quantumkeeper | ( |  | ) | `[inline, virtual]`

Definition at line 62 of file tlm_quantumkeeper.h.

## Member Function Documentation

virtual sc_core::sc_time tlm_utils::tlm_quantumkeeper::compute_local_quantum | ( |  | ) | `[inline, protected, virtual]`

Definition at line 158 of file tlm_quantumkeeper.h.

virtual sc_core::sc_time tlm_utils::tlm_quantumkeeper::get_current_time | ( |  | ) | const`[inline, virtual]`

Definition at line 133 of file tlm_quantumkeeper.h.

static const sc_core::sc_time& tlm_utils::tlm_quantumkeeper::get_global_quantum | ( |  | ) | `[inline, static]`

Definition at line 50 of file tlm_quantumkeeper.h.

virtual sc_core::sc_time tlm_utils::tlm_quantumkeeper::get_local_time | ( |  | ) | const`[inline, virtual]`

Definition at line 143 of file tlm_quantumkeeper.h.

virtual void tlm_utils::tlm_quantumkeeper::inc | ( | const sc_core::sc_time & | t | ) | `[inline, virtual]`

Definition at line 69 of file tlm_quantumkeeper.h.

virtual bool tlm_utils::tlm_quantumkeeper::need_sync | ( |  | ) | const`[inline, virtual]`

Definition at line 89 of file tlm_quantumkeeper.h.

virtual void tlm_utils::tlm_quantumkeeper::reset | ( |  | ) | `[inline, virtual]`

Definition at line 121 of file tlm_quantumkeeper.h.

virtual void tlm_utils::tlm_quantumkeeper::set | ( | const sc_core::sc_time & | t | ) | `[inline, virtual]`

Definition at line 79 of file tlm_quantumkeeper.h.

void tlm_utils::tlm_quantumkeeper::set_and_sync | ( | const sc_core::sc_time & | t | ) | `[inline]`

Definition at line 108 of file tlm_quantumkeeper.h.

static void tlm_utils::tlm_quantumkeeper::set_global_quantum | ( | const sc_core::sc_time & | t | ) | `[inline, static]`

Definition at line 45 of file tlm_quantumkeeper.h.

virtual void tlm_utils::tlm_quantumkeeper::sync | ( |  | ) | `[inline, virtual]`

Definition at line 99 of file tlm_quantumkeeper.h.

## Member Data Documentation

sc_core::sc_time tlm_utils::tlm_quantumkeeper::m_local_time`[protected]`

Definition at line 165 of file tlm_quantumkeeper.h.

sc_core::sc_time tlm_utils::tlm_quantumkeeper::m_next_sync_point`[protected]`

Definition at line 164 of file tlm_quantumkeeper.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/tlm_quantumkeeper.h